# Interface RcsbFv3DComponentState<T, R, S, U>

#### Type Parameters

- #### T

- #### R

- #### S

- #### U

#### Hierarchy

- RcsbFv3DComponentState

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:41

#####
Index

### Properties

pfvScreenFraction
sequencePanelConfig
structurePanelConfig

## Properties

### pfvScreenFraction

pfvScreenFraction: number

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:44

### sequencePanelConfig

sequencePanelConfig: RcsbFvSequenceInterface<T, U>

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:43

### structurePanelConfig

structurePanelConfig: RcsbFvStructureConfigInterface<R, S>

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:42

Generated using TypeDoc